classification
Title: Pydoc should support https for hyperlinks.
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.9, Python 3.8, Python 3.7
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Add parsing of https links to pydoc
View: 38786
Assigned To: Nosy List: hauntsaninja, owebeeone, python-dev, serhiy.storchaka, terry.reedy
Priority: normal Keywords: patch

Created on 2020-05-11 00:50 by owebeeone, last changed 2020-05-27 09:52 by cheryl.sabella. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 19976 closed python-dev, 2020-05-27 09:49
Messages (3)
msg368601 - (view) Author: Gianni Mariani (owebeeone) * Date: 2020-05-11 00:50
pydoc has a regex hard coded for supporting hyperlinks. It supports http and ftp. It should support https.
msg368991 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-05-16 00:55
Agreed. pydoc is a library module.  3.5 and 3.6 only get security patches.
msg369000 - (view) Author: Shantanu (hauntsaninja) * Date: 2020-05-16 02:26
This looks like a duplicate of https://bugs.python.org/issue38786, which was fixed in https://github.com/python/cpython/pull/17143
That PR wasn't backported, but maybe it should be.
History
Date User Action Args
2020-05-27 09:52:37cheryl.sabellasetstatus: open -> closed
superseder: Add parsing of https links to pydoc
resolution: duplicate
stage: patch review -> resolved
2020-05-27 09:49:43python-devsetkeywords: + patch
nosy: + python-dev

pull_requests: + pull_request19701
stage: patch review
2020-05-16 02:26:21hauntsaninjasetnosy: + hauntsaninja
messages: + msg369000
2020-05-16 00:55:49terry.reedysetnosy: + terry.reedy, serhiy.storchaka
messages: + msg368991
components: + Library (Lib), - Demos and Tools
2020-05-16 00:53:46terry.reedysetversions: - Python 3.5, Python 3.6
2020-05-11 02:51:56owebeeonesettype: enhancement
2020-05-11 00:50:31owebeeonecreate